> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lygosapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gateway Transactions



## OpenAPI

````yaml api-reference/openapi.json get /v1/api/marketplace/gateway/{gateway_id}/transactions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.lygosapp.com
    description: Production Server
security: []
paths:
  /v1/api/marketplace/gateway/{gateway_id}/transactions:
    get:
      tags:
        - Marketplace
      summary: Get Gateway Transactions
      operationId: >-
        get_gateway_transactions_api_v1_api_marketplace_gateway__gateway_id__transactions_get
      parameters:
        - name: gateway_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Gateway Id
        - name: api-key
          in: header
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MarketplaceTransactionSchemas'
                title: >-
                  Response Get Gateway Transactions Api V1 Api Marketplace
                  Gateway  Gateway Id  Transactions Get
        '401':
          description: No API key
          content:
            application/json:
              examples:
                No API Key:
                  summary: No API Key
                  value:
                    detail:
                      message: No API Key.
                      type: NO_API_KEY_PROVIDED
        '404':
          description: API Key Not Found
          content:
            application/json:
              examples:
                API Key Not found:
                  summary: API Key Not found
                  value:
                    detail:
                      message: API Key not found
                      type: API_KEY_NOT_FOUND
                MARKET Place Not found:
                  summary: Market place not found.
                  value:
                    detail:
                      message: Market place not found.
                      type: MARKETPLACE_NOT_FOUND
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MarketplaceTransactionSchemas:
      properties:
        transaction_id:
          type: string
          format: uuid
          title: Transaction Id
        status:
          type: string
          title: Status
        creation_date:
          type: string
          format: date-time
          title: Creation Date
        buyer_price:
          type: number
          title: Buyer Price
        product_price:
          type: number
          title: Product Price
        buyer:
          $ref: '#/components/schemas/BuyerDetails'
        additional_info:
          anyOf:
            - items:
                $ref: '#/components/schemas/MarketFormBlockValue'
              type: array
            - type: 'null'
          title: Additional Info
      type: object
      required:
        - transaction_id
        - status
        - creation_date
        - buyer_price
        - product_price
        - buyer
      title: MarketplaceTransactionSchemas
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BuyerDetails:
      properties:
        buyer_id:
          type: string
          format: uuid
          title: Buyer Id
        full_name:
          type: string
          title: Full Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phone_number:
          type: string
          title: Phone Number
        country:
          $ref: '#/components/schemas/CountryOut'
        operator:
          anyOf:
            - $ref: '#/components/schemas/OperatorOut'
            - type: 'null'
      type: object
      required:
        - buyer_id
        - full_name
        - email
        - phone_number
        - country
        - operator
      title: BuyerDetails
    MarketFormBlockValue:
      properties:
        fieldName:
          type: string
          title: Fieldname
        value:
          type: string
          title: Value
      type: object
      required:
        - fieldName
        - value
      title: MarketFormBlockValue
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CountryOut:
      properties:
        name:
          type: string
          title: Name
          default: CMR
        iso_code:
          type: string
          title: Iso Code
          default: CMR
      type: object
      title: CountryOut
    OperatorOut:
      properties:
        name:
          type: string
          title: Name
          default: MTN
        value:
          type: string
          title: Value
          default: MTN_MOMO_CMR
      type: object
      title: OperatorOut

````